#include "Communication/RemoteStart.h"
#include "Bluetooth.h"

using namespace ecrobot;

RemoteStart::RemoteStart(Bluetooth* pBluetooth)
	:m_pBluetooth(pBluetooth),CMD_START('1') {

}

RemoteStart::~RemoteStart() {
}

//*****************************************************************************
// ֐ : remote_start
//  : 
// Ԃl : 1(X^[g)/0(ҋ@)
// Tv : BluetoothʐMɂ郊[gX^[gB Tera TermȂǂ̃^[~i\tgA
//       ASCIIR[h1𑗐MƁA[gX^[gB
//*****************************************************************************
bool RemoteStart::remote_start()
{
	int i;
	unsigned int rx_len;
	char rx_buf[BT_MAX_RX_BUF_SIZE];
	bool start = false;

	for (i=0; i<BT_MAX_RX_BUF_SIZE; i++) {
		rx_buf[i] = 0;					// Mobt@NA
	}

	rx_len = m_pBluetooth->receive(rx_buf, 0, BT_MAX_RX_BUF_SIZE);
	if (rx_len > 0) {
		// Mf[^
		if (rx_buf[0] == CMD_START) {
			start = true;				// Mf[^=='1'  ߂ltrueݒ肷
		}
		m_pBluetooth->send(rx_buf, 0, rx_len);	// Mf[^GR[obN
	}

	return start;
}


//Copyright (c) 2014 Kagaku No Yousei. All Rights Reserved.

