//******************************************************************************
//t@C : AllDistanceCondition.cpp
//
//Tv : NXiX[p[NXj̃TuNXłBšms܂B
//
//l :
//******************************************************************************

#include "Condition/AllDistanceCondition.h"
#include "Motor.h"

using namespace ecrobot;

AllDistanceCondition::AllDistanceCondition(int t_adis,Motor* pLeftMotor,Motor* pRightMotor)
	:m_pLeftMotor(pLeftMotor),m_pRightMotor(pRightMotor) {									//t_adis :@target_alldistance̗

	m_target_alldistance = t_adis;

}

AllDistanceCondition::~AllDistanceCondition() {
}

bool AllDistanceCondition::isSatisfy() {

	int angle;	//]px
	angle = static_cast<int>( ( m_pLeftMotor->getCount() + m_pRightMotor->getCount() )/2 );

	//s[cm] = ]px ~ 8cmiԗ֒aj~ ~i3.14j^ 360ipj
	//             = ]px ~ 0.0698
	if(m_target_alldistance <= angle * 0.0698)
	{
		return true;
	}

	else
	{
		return false;
	}

}


//Copyright (c) 2014 Kagaku No Yousei. All Rights Reserved.

