//******************************************************************************
//t@C : LineTraceMethod.cpp
//
//Tv : sNXiX[p[NXj̃TuNXłBePIDpCg[XsłB
//
//l : ӁIIKs̎m_speedm_turn_MAX傫ȂȂƁIIII
//
//******************************************************************************

#include "RunMethod/RunMethod.h"
#include "RunMethod/LineTraceMethod.h"
#include "SubFunction/Calibration.h"
#include "LightSensor.h"
#include "Motor.h"

using namespace ecrobot;

extern "C"
{
#include "balancer.h" //|Uqpwb_t@C
}

LineTraceMethod::LineTraceMethod(Calibration* cali,Posture* posture,PID* p_i_d,int speed,int max,LightSensor* pLightSensor,Motor* pLeftMotor,Motor* pRightMotor)
	:m_pLightSensor(pLightSensor),m_pLeftMotor(pLeftMotor),m_pRightMotor(pRightMotor) {

	m_cali = cali;
	m_posture = posture;
	m_pid = p_i_d;
	m_speed = speed;
	m_turn_MAX = max;
}

LineTraceMethod::~LineTraceMethod() {
}

void LineTraceMethod::run() {


	signed char pwm_L, pwm_R; //E[^PWMo
	int sift;
	int light;

	//m_speedm_turn_MAX傫ȂȂ悤ɂ鑀BG[
	if(m_speed < m_turn_MAX) {
		m_turn_MAX = m_speed;
	}


	light = m_cali->getBorder() - m_pLightSensor->get();
	sift = m_pid->calcControllValue(light);
	sift=(sift>m_turn_MAX)?m_turn_MAX:(sift<(m_turn_MAX*(-1)))?(m_turn_MAX*(-1)):sift;


	m_posture->adjust(m_speed, sift, pwm_L, pwm_R);

	m_pLeftMotor->setPWM(pwm_L); //[^PWMo̓Zbg(-100`100)
	m_pRightMotor->setPWM(pwm_R); //E[^PWMo̓Zbg(-100`100)


}


//Copyright (c) 2014 Kagaku No Yousei. All Rights Reserved.

